convertDXSingleDoubleSpeed

## Class BiQuadraticCurve

- java.lang.Object
- - convertDXSingleDoubleSpeed.BiQuadraticCurve

- All Implemented Interfaces:
    ICurve

      public class BiQuadraticCurve
      extends java.lang.Object
      implements ICurve

  This method implements a biquadratic curve.

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiQuadraticCurve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `curveToString()` This method concatenates the coefficients of the curve into a string.
    `java.lang.String` | `getMaxValX()` This method gets the maximum x-value of the curve.
    `java.lang.String` | `getMaxValY()` This method sets the maximum y-value of the curve.
    `java.lang.String` | `getMinValX()` This method gets the minimum x-value of the curve.
    `java.lang.String` | `getMinValY()` This method gets the minimum y-value of the curve.
    `void` | `setCoef1(java.lang.String parameter)` This method sets the first coefficient of the curve.
    `void` | `setCoef2(java.lang.String parameter)` This method sets the second coefficient of the curve.
    `void` | `setCoef3(java.lang.String parameter)` This method sets the third coefficient of the curve.
    `void` | `setCoef4(java.lang.String parameter)` This method sets the fourth coefficient of the curve.
    `void` | `setCoef5(java.lang.String parameter)` This method sets the fifth coefficient of the curve.
    `void` | `setCoef6(java.lang.String parameter)` This method sets the sixth coefficient of the curve.
    `void` | `setMaxValX(java.lang.String parameter)` This method sets the maximum x-value of the curve.
    `void` | `setMaxValY(java.lang.String parameter)` This method sets the maximum y-value of the curve.
    `void` | `setMinValX(java.lang.String parameter)` This method sets the minimum x-value of the curve.
    `void` | `setMinValY(java.lang.String parameter)` This method sets the minimum y-value of the curve.
    `void` | `setName(java.lang.String parameter)` This method sets the name of the curve

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BiQuadraticCurve

          public BiQuadraticCurve()

  - ### Method Detail

    - #### setCoef1

          public void setCoef1(java.lang.String parameter)

      This method sets the first coefficient of the curve.

    - #### setCoef2

          public void setCoef2(java.lang.String parameter)

      This method sets the second coefficient of the curve.

    - #### setCoef3

          public void setCoef3(java.lang.String parameter)

      This method sets the third coefficient of the curve.

    - #### setCoef4

          public void setCoef4(java.lang.String parameter)

      This method sets the fourth coefficient of the curve.

    - #### setCoef5

          public void setCoef5(java.lang.String parameter)

      This method sets the fifth coefficient of the curve.

    - #### setCoef6

          public void setCoef6(java.lang.String parameter)

      This method sets the sixth coefficient of the curve.

    - #### setMinValX

          public void setMinValX(java.lang.String parameter)

      This method sets the minimum x-value of the curve.

    - #### getMinValX

          public java.lang.String getMinValX()

      This method gets the minimum x-value of the curve.

    - #### setMaxValX

          public void setMaxValX(java.lang.String parameter)

      This method sets the maximum x-value of the curve.

    - #### getMaxValX

          public java.lang.String getMaxValX()

      This method gets the maximum x-value of the curve.

    - #### setMinValY

          public void setMinValY(java.lang.String parameter)

      This method sets the minimum y-value of the curve.

    - #### getMinValY

          public java.lang.String getMinValY()

      This method gets the minimum y-value of the curve.

    - #### setMaxValY

          public void setMaxValY(java.lang.String parameter)

      This method sets the maximum y-value of the curve.

    - #### getMaxValY

          public java.lang.String getMaxValY()

      This method sets the maximum y-value of the curve.

    - #### setName

          public void setName(java.lang.String parameter)

      This method sets the name of the curve

    - #### curveToString

          public java.lang.String curveToString()

      This method concatenates the coefficients of the curve into a string.
      Specified by:
        `curveToString` in interface `ICurve`
      Returns:
        string containing the coefficients of the curve.